tcp_pageout(3z)

NAME
tcp_pageout - page the ZSock data area out of the memory map

SYNOPSIS
#include <net/misc.h>

void tcp_pageout(u8_t oldbinding);

DESCRIPTION
The tcp_pageout() function pages out the ZSock data area into segment 1 (addresses 16384-32767) of the z88s memory map.

The parameter oldbinding is the return value from a prior tcp_pagein(3z) function.

This function is primarily of use to daemons which use the ZSock dataarea for small amounts of storage.

RETURN VALUE
tcp_pagein() returns the previous binding of segment 1 which should be used as a parameter to tcp_pageout(3z)

SEE ALSO
tcp_pagein(3z), tcp_malloc(3z), tcp_calloc(3z) tcp_free(3z)

BUGS
Supplying an incorrect oldbinding will most likely crash the z88.

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>